export const TableColumns = [
   // { key: "id", title: "主键" },
      // { key: "puOrg", title: "采购组织" },
      { key: "puOrgName", title: "采购组织名称" },
      { key: "billType", title: "订单类型" },
      { key: "code", title: "订单编号" },
      { key: "billDate", title: "订单日期" },
      // { key: "supplier", title: "供应商" },
      { key: "supplierName", title: "供应商名称" },
      { key: "paymentAgreement", title: "付款协议" },
      // { key: "currency", title: "币种" },
      { key: "currencyName", title: "币种名称" },
      // { key: "buyer", title: "采购员" },
      { key: "buyerName", title: "采购员" },
      // { key: "puDept", title: "采购部门" },
      { key: "puDeptName", title: "采购部门名称" },
      // { key: "customer", title: "收货客户" },
      { key: "customerName", title: "收货客户名称" },
      { key: "isDeliver", title: "是否发货" },
      { key: "isArrival", title: "到货超期" },
      { key: "isBack", title: "退货" },
      // { key: "freezeCause", title: "冻结原因" },
      { key: "qty", title: "总数量" },
      { key: "money", title: "总数量" },
      { key: "isMarketing", title: "已协同生成销售订单" },
      { key: "isMarketingSource", title: "由销售订单协同生成" },
      // { key: "personal", title: "人员" },
      { key: "personalName", title: "人员名称" },
      // { key: "isSendSrm", title: "是否同步SRM" },
      { key: "isInvoice", title: "发票标识" },
      { key: "rebateMoney", title: "订单使用返利金额" },
      { key: "deductionMoney", title: "订单抵扣余款金额" },
      // { key: "warehouse", title: "WMS入库仓库" },
      { key: "warehouseName", title: "收货仓库" }, //WMS入库仓库名称
      // { key: "goodsAllocation", title: "货位" },
      { key: "goodsAllocationName", title: "货位名称" },
      // { key: "customerDept", title: "客户部门" },
      { key: "customerDeptName", title: "客户部门名称" },
      // { key: "supplierContacts", title: "供应商业务联系人" },
      { key: "supplierContactsName", title: "供应商业务联系人名称" },
      { key: "isUrgency", title: "紧急程度" },
      // { key: "agent", title: "代理人" }, // 建议删除
      { key: "agentName", title: "代理人名称" },
      { key: "isClose", title: "最终关闭" },
      { key: "applyPaymentMoney", title: "累计付款申请金额" },
      { key: "paymentMoney", title: "累计付款金额" },
      { key: "invoiceMoney", title: "发票金额" },
      // { key: "supplierPersonal", title: "供应商业务员" },
      { key: "supplierPersonalName", title: "供应商业务员名称" },
      { key: "marketingCode", title: "销售订单号" },
      // { key: "tenantId", title: "租户号" },
      // { key: "revision", title: "乐观锁" },
      { key: "createByName", title: "创建人名称" },
      { key: "updateByName", title: "更新人名称" },
      // { key: "delFlag", title: "删除标记" },
      { key: "flowId", title: "OA流程ID" },
      { key: "approver", title: "审批人" },
      { key: "approverFinishTime", title: "审批时间" },
      { key: "approveTime", title: "提交时间" },
      { key: "createTime", title: "制单日期/创建时间" },
      { key: "remark", title: "备注" },
      { key: "updateTime", title: "最后修改时间" },
      { key: "status", title: "单据状态" },
      { key: "oaDemandNo", title: "OA需求单号" },
      { key: "address", title: "收货地址" },
      { key: "contacts", title: "收获联系人" },
      { key: "isSendWms", title: "已同步WMS" },
      { key: "retReason", title: "退换原因" },
      { key: "closeTime", title: "最终关闭日期" },
      { key: "processType", title: "处理方式" },
      { key: "isEnd", title: "整单关闭标识" },
      { key: "projectNow", title: "在建工程项目" },
      { key: "operatingItems", title: "经营性项目" },
      { key: "isArrivalReson", title: "到货超期原因" },
      { key: "midOrderNo", title: "中台采购订单号" }
];

export const SearchColumns = TableColumns.filter((element) => element.search);
